﻿@model IEnumerable<TooJaVile.Models.AspNetUser>

@{
    ViewBag.Title = "Index";
}
    <style class="table">
        table {
            border: 2px solid #de9c6c;
        }

        td, th {
            border: 1px solid #de9c6c;
        }


        tr:nth-child(even) {
            background-color: lightgray;
        }
    </style>

<h2>Registreeritud kasutajad</h2>

@if (ViewBag.CurrentPerson.IsAccountant)
{
    <p>
        @Html.ActionLink("Loo uus kasutaja", "Create")
    </p>
}
    <table class="table">
        <tr>
            <th>
                Eesnimi@*@Html.DisplayNameFor(model => model.FirstName)*@
            </th>
            <th>
                Perekonnanimi@*@Html.DisplayNameFor(model => model.LastName)*@
            </th>
            @*<th>
                @Html.DisplayNameFor(model => model.DisplayName)
            </th>*@
            <th>
                Sünniaeg@*@Html.DisplayNameFor(model => model.BirthDate)
            </th>*@
            <th>
                E-mail@*@Html.DisplayNameFor(model => model.Email)*@
            </th>
            @*<th>
                    @Html.DisplayNameFor(model => model.EmailConfirmed)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.PasswordHash)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.SecurityStamp)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.PhoneNumber)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.PhoneNumberConfirmed)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.TwoFactorEnabled)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.LockoutEndDateUtc)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.LockoutEnabled)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.AccessFailedCount)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.UserName)*@
            @*</th>*@
            <th></th>
        </tr>

        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.FirstName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.LastName)
                </td>
                @*<td>
                    @Html.DisplayFor(modelItem => item.DisplayName)
                </td>*@
                <td>
                    @Html.DisplayFor(modelItem => item.BirthDate)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Email)
                </td>
                @*<td>
                        @Html.DisplayFor(modelItem => item.EmailConfirmed)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.PasswordHash)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.SecurityStamp)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.PhoneNumber)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.PhoneNumberConfirmed)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.TwoFactorEnabled)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.LockoutEndDateUtc)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.LockoutEnabled)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.AccessFailedCount)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.UserName)
                    </td>*@

                @if (ViewBag.CurrentPerson.IsAccountant)
                {
                    <td>
                        @Html.ActionLink("Muuda", "Edit", new { id = item.Id }) |
                        @Html.ActionLink("Vaata", "Details", new { id = item.Id }) |
                        @Html.ActionLink("Kustuta", "Delete", new { id = item.Id })
                    </td>
                }
                else
                { }

            </tr>
        }

    </table>
